import numpy as np
cimport numpy as np


## cdef extern from "../../lib/svd/svd_adaptor.hpp":
cdef extern from "svd_adaptor.hpp":
    int svd_c(double* A, double* U, double* S, double* V)


cpdef int svd3x3(double[:, ::1] A, double[:, ::1] U,
                 double[::1] S, double[:, ::1] V):

    return svd_c(&A[0,0], &U[0,0], &S[0], &V[0,0])


